texmath-0.6.3: Conversion of LaTeX math formulas to MathML or OMML.

Safe Haskell | None

Text.TeXMath.ToUnicode

Description

Function for replacing strings of characters with their respective mathvariant

Synopsis

- toUnicode :: TextType -> String -> String

# Documentation

toUnicode :: TextType -> String -> String

Replace all characters in the string A-Z, a-z with their corresponding mathvariant unicode character. | MathML has a mathvariant attribute which is unimplemented in Firefox | (see https:bugzilla.mozilla.org/show_bug.cgi?id=114365) | Therefore, we may want to translate mathscr, etc to unicode symbols directly.